Skip to content

Models

Retrieve the models available to the current virtual API key and get information about a specific model.

Model permissions

Different virtual API keys may receive different model lists. Only models accessible to the current virtual API key are returned.

List all models

Retrieve the models available to the current virtual API key.

Endpoint

http
GET https://api.nexusmodels.cn/v1/models

Headers

http
Authorization: Bearer YOUR_NEXUSMODELS_API_KEY

Example

bash
curl -sS \
  'https://api.nexusmodels.cn/v1/models' \
  -H 'Authorization: Bearer YOUR_NEXUSMODELS_API_KEY'

Response

A successful request returns:

http
200 OK

Response example

json
{
  "object": "list",
  "data": [
    {
      "id": "gpt-5.4",
      "object": "model",
      "created": 1788163200,
      "owned_by": "openai"
    },
    {
      "id": "claude-sonnet-4-6",
      "object": "model",
      "created": 1788163200,
      "owned_by": "anthropic"
    },
    {
      "id": "gemini-3-flash",
      "object": "model",
      "created": 1788163200,
      "owned_by": "google"
    }
  ]
}

Response fields

FieldTypeDescription
objectstringObject type, usually list
dataarrayModels available to the virtual API key
data[].idstringPublic model name used in API requests
data[].objectstringObject type, usually model
data[].createdintegerModel record creation timestamp
data[].owned_bystringModel provider

Use a model

The model parameter in other API requests must use an id returned by the model list endpoint.

json
{
  "model": "gpt-5.4"
}

Chat example:

bash
curl -sS -X POST \
  'https://api.nexusmodels.cn/v1/chat/completions' \
  -H 'Authorization: Bearer YOUR_NEXUSMODELS_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
    "model": "gpt-5.4",
    "messages": [
      {
        "role": "user",
        "content": "Hello"
      }
    ]
  }'

Common errors

StatusDescription
401Missing or invalid API key
403The virtual API key cannot access the resource
404The model does not exist or is not accessible
429Budget, RPM or TPM limit exceeded
500Gateway or provider error